FSTRIM(8)

NAMN
fstrim - ta bort oanvända block på ett monterat filsystem

SYNOPSIS

fstrim [-v] [-o offset] [-l längd] [-m minsta storlek] -A|-a|monteringspunkt

BESKRIVNING

fstrim används på ett monterat filsystem för att ta bort (eller "trimma") block som inte används av filsystemet. Detta är användbart för SSD-enheter (Solid State Drives) och lagringsutrymme med tunn provisionering.

Som standard kommer fstrim att förkasta alla oanvända block i filsystemet. Flaggor kan användas för att ändra detta beteende baserat på intervall eller storlek, enligt vad som förklaras nedan.

Argumentet monteringspunkt är sökvägsnamnet för den katalog där filsystemet är monterat och krävs när -A, -a, --fstab eller --all är ospecificerade.

Om du kör fstrim ofta eller till och med använder mount -o discard kan det påverka livslängden negativt för SSD-enheter av dålig kvalitet. För de flesta skrivbords- och serversystem är en tillräcklig trimningsfrekvens en gång i veckan. Observera att inte alla enheter har stöd för trimning i kö, så varje trimningskommando medför en prestandaförlust för allt annat som försöker använda disken vid samma tidpunkt.

FLAGGOR

Argumenten offset, längd och minimum-size kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024), och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB (iB är valfritt, t.ex, "K" har samma betydelse som "KiB") eller suffixen KB (=1000), MB (=1000*1000), och så vidare för GB, TB, PB, EB, ZB och YB.

-A, --fstab
    Trimma alla monterade filsystem som nämns i /etc/fstab på enheter som stöder discard-operationen. Rotfilsystemet bestäms från kommandoraden i kärnan om det saknas i filen. De andra angivna flaggorna, som --offset, --length och --minimum, tillämpas på alla dessa enheter. Fel från filsystem som inte stöder discard-operationen, skrivskyddade enheter, autofs och skrivskyddade filsystem ignoreras i tysthet. Filsystem med monteringsflaggan "X-fstrim.notrim" hoppas över.

-a, --all
    Trim alla monterade filsystem på enheter som stöder discard-operationen. De andra angivna flaggorna, t.ex. --offset, --length och --minimum, tillämpas på alla dessa enheter. Fel från filsystem som inte stöder discard-operationen, skrivskyddade enheter och skrivskyddade filsystem ignoreras i tysthet.

-n, --dry-run
    Denna flagga gör allt utom att faktiskt anropa FITRIM ioctl.

-o, --offset offset
    Byteoffset i filsystemet från vilken sökningen efter lediga block att förkasta ska påbörjas. Standardvärdet är noll, med start i början av filsystemet.

-l, --length längd
    Antalet byte (efter startpunkten) som ska sökas efter lediga block som ska kasseras. Om det angivna värdet sträcker sig längre än till slutet av filsystemet, kommer fstrim att stanna vid filsystemets storleksgräns. Standardvärdet sträcker sig till slutet av filsystemet.

-I, --listed-in lista
    Anger en kolonseparerad lista med filer i formatet fstab eller kernel mountinfo. Alla filer som saknas eller är tomma ignoreras. Utvärderingen av lista stoppas efter den första icke-tomma filen. Till exempel: lista:

    --listed-in /etc/fstab:/proc/self/mountinfo.

    Filsystem med monteringsflaggan "X-fstrim.notrim" i fstab hoppas över.

-m, --minimum minimum-size
    Minsta sammanhängande fria intervall som ska kasseras, i byte. (Detta värde avrundas internt uppåt till en multipel av filsystemets blockstorlek) Fria intervall som är mindre än detta ignoreras och fstrim justerar minimum om det är mindre än enhetens minimum och rapporterar detta (fstrim_range.minlen) tillbaka till userspace. Genom att öka detta värde kommer fstrim-operationen att slutföras snabbare för filsystem med dåligt fragmenterat friutrymme, även om inte alla block kommer att kasseras. Standardvärdet är noll, vilket innebär att alla lediga block kasseras.

-t, --types lista
    Anger tillåtna eller förbjudna filsystemtyper när de används med --all eller --fstab. lista är en kommaseparerad lista över filsystemens namn. lista följer hur mount -t utvärderar typmönster. Endast specificerade filsystemtyper är tillåtna. Alla angivna typer är förbjudna om listan inleds med "no" eller om varje filsystem som inleds med "no" är förbjudet. Om flaggan inte används är alla filsystem (utom "autofs") tillåtna.

-v, --verbose
    Utförlig körning. Med den här flaggan kommer fstrim att visa antalet byte som skickas från filsystemet ner genom blockstacken till enheten för potentiell kassering. Detta antal är en maximal mängd som kan kasseras ur lagringsenhetens perspektiv, eftersom FITRIM ioctl som anropas upprepade gånger kommer att skicka samma sektorer för kassering upprepade gånger.

    fstrim kommer att rapportera samma potentiella byte för kassering varje gång, men endast sektorer som har skrivits till mellan kasseringarna kommer faktiskt att kasseras av lagringsenheten. Dessutom förbehåller sig kärnans blocklager rätten att justera discard-intervallerna för att passa raid stripe-geometri, enheter som inte kan trimmas i en LVM-konfiguration osv. Dessa minskningar skulle inte återspeglas i fstrim_range.len (flaggan --length).

--quiet-unsupported
    Undertryck felmeddelanden om trimoperationen (ioctl) inte stöds. Den här flaggan är avsett att användas i servicefilen systemd eller i cron(8)-skript för att dölja varningar som är resultatet av kända problem, t.ex. NTFS-drivrutinen som rapporterar Bad file descriptor när enheten är monterad som skrivskyddad, eller avsaknad av filsystemstöd för ioctl-anropet FITRIM. Denna flagga rensar också utgångsstatus när ett filsystem som inte stöds anges på kommandoraden fstrim.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

0
    lyckades

1
    misslyckande

32
    alla misslyckades

64
    vissa filsystemdiskar har lyckats, andra misslyckades

Kommandot fstrim --all returnerar 0 (alla lyckades), 32 (alla misslyckades) eller 64 (några misslyckades, några lyckades).

UPPHOVSPERSONER

SE ÄVEN

blkdiscard(8), mount(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot fstrim ingår i paketet util-linux som kan hämtas från